Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

switched from using jeweler to bundler for gem deployments

  • Loading branch information...
commit 4aefe0a6b5c1f6ef93ceb20c6244b0eb631461fa 1 parent 1fbf62a
Andrew Havens authored
Showing with 24 additions and 196 deletions.
  1. +2 −50 .gitignore
  2. +1 −12 Gemfile
  3. +1 −55 Rakefile
  4. +20 −79 mad_chatter.gemspec
View
52 .gitignore
@@ -1,51 +1,3 @@
-# rcov generated
-coverage
-
-# rdoc generated
-rdoc
-
-# yard generated
-doc
-.yardoc
-
-# bundler
+*.gem
.bundle
-
-# jeweler generated
-pkg
-
-# Have editor/IDE/OS specific files you need to ignore? Consider using a global gitignore:
-#
-# * Create a file at ~/.gitignore
-# * Include files you want ignored
-# * Run: git config --global core.excludesfile ~/.gitignore
-#
-# After doing this, these files will be ignored in all your git projects,
-# saving you from having to 'pollute' every project you touch with them
-#
-# Not sure what to needs to be ignored for particular editors/OSes? Here's some ideas to get you started. (Remember, remove the leading # of the line)
-#
-# For MacOS:
-#
-.DS_Store
-
-# For Eclipse
-.project
-
-# For TextMate
-*.tmproj
-tmtags
-
-# For emacs:
-#*~
-#\#*
-#.\#*
-
-# For vim:
-#*.swp
-
-# For redcar:
-.redcar
-
-# For rubinius:
-#*.rbc
+pkg/*
View
13 Gemfile
@@ -1,14 +1,3 @@
source :rubygems
-# Gem dependencies
-gem 'thor', '~> 0.14.6'
-gem 'eventmachine', '~> 0.12.10'
-gem 'em-websocket', '~> 0.3.5'
-
-# Development dependencies
-group :development do
- gem "shoulda", ">= 0"
- gem "bundler", "~> 1.0.0"
- gem "jeweler", "~> 1.6.4"
- gem "rcov", ">= 0"
-end
+gemspec
View
56 Rakefile
@@ -1,55 +1 @@
-# encoding: utf-8
-
-require 'rubygems'
-require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
-require 'rake'
-
-require 'jeweler'
-require './lib/mad_chatter/version.rb'
-Jeweler::Tasks.new do |gem|
- # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
- gem.name = "mad_chatter"
- gem.version = MadChatter::VERSION
- gem.homepage = "http://github.com/andrewhavens/mad_chatter"
- gem.license = "MIT"
- gem.summary = %Q{Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets}
- gem.description = %Q{Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets}
- gem.email = "email@andrewhavens.com"
- gem.authors = ["Andrew Havens"]
- # dependencies defined in Gemfile
-end
-Jeweler::RubygemsDotOrgTasks.new
-
-require 'rake/testtask'
-Rake::TestTask.new(:test) do |test|
- test.libs << 'lib' << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
-end
-
-require 'rcov/rcovtask'
-Rcov::RcovTask.new do |test|
- test.libs << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
- test.rcov_opts << '--exclude "gems/*"'
-end
-
-task :default => :test
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "mad_chatter #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
+require "bundler/gem_tasks"
View
99 mad_chatter.gemspec
@@ -1,86 +1,27 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "mad_chatter/version"
Gem::Specification.new do |s|
- s.name = "mad_chatter"
- s.version = "0.1.0"
+ s.name = "mad_chatter"
+ s.version = MadChatter::VERSION
+ s.authors = ["Andrew Havens"]
+ s.email = ["email@andrewhavens.com"]
+ s.homepage = "http://github.com/andrewhavens/mad_chatter"
+ s.summary = %q{Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets}
+ s.description = %q{Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets}
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Andrew Havens"]
- s.date = "2011-12-07"
- s.description = "Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets"
- s.email = "email@andrewhavens.com"
- s.executables = ["mad_chatter"]
- s.extra_rdoc_files = [
- "LICENSE.txt",
- "README.md"
- ]
- s.files = [
- "CHANGELOG.txt",
- "Gemfile",
- "Gemfile.lock",
- "LICENSE.txt",
- "README.md",
- "Rakefile",
- "bin/mad_chatter",
- "lib/mad_chatter.rb",
- "lib/mad_chatter/action.rb",
- "lib/mad_chatter/actions/join.rb",
- "lib/mad_chatter/actions/rename.rb",
- "lib/mad_chatter/config.rb",
- "lib/mad_chatter/extensions.rb",
- "lib/mad_chatter/message.rb",
- "lib/mad_chatter/server.rb",
- "lib/mad_chatter/servers/em_websocket.rb",
- "lib/mad_chatter/servers/juggernaut.rb",
- "lib/mad_chatter/servers/websocket_rack.rb",
- "lib/mad_chatter/users.rb",
- "lib/mad_chatter/version.rb",
- "templates/config.yml",
- "templates/extensions.rb",
- "templates/web/index.html",
- "templates/web/javascript.js",
- "templates/web/stylesheets/reset.css",
- "templates/web/stylesheets/styles.css",
- "test/helper.rb",
- "test/test_mad_chatter.rb"
- ]
- s.homepage = "http://github.com/andrewhavens/mad_chatter"
- s.licenses = ["MIT"]
- s.require_paths = ["lib"]
- s.rubygems_version = "1.8.10"
- s.summary = "Mad Chatter is a fun, easy to customize chat server, utilizing HTML 5 Web Sockets"
+ # s.rubyforge_project = "mad_chatter"
- if s.respond_to? :specification_version then
- s.specification_version = 3
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<thor>, [">= 0"])
- s.add_runtime_dependency(%q<eventmachine>, ["= 0.12.10"])
- s.add_runtime_dependency(%q<em-websocket>, [">= 0"])
- s.add_development_dependency(%q<shoulda>, [">= 0"])
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
- else
- s.add_dependency(%q<thor>, [">= 0"])
- s.add_dependency(%q<eventmachine>, ["= 0.12.10"])
- s.add_dependency(%q<em-websocket>, [">= 0"])
- s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_dependency(%q<rcov>, [">= 0"])
- end
- else
- s.add_dependency(%q<thor>, [">= 0"])
- s.add_dependency(%q<eventmachine>, ["= 0.12.10"])
- s.add_dependency(%q<em-websocket>, [">= 0"])
- s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_dependency(%q<rcov>, [">= 0"])
- end
+ s.add_runtime_dependency "thor"
+ s.add_runtime_dependency "eventmachine"
+ s.add_runtime_dependency "em-websocket"
+
+ s.add_development_dependency "rspec"
+ s.add_development_dependency "shoulda"
end
-
Please sign in to comment.
Something went wrong with that request. Please try again.